# EmployeeCompensations Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/employeecompensations/

Schema for the `EmployeeCompensations` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the compensation
- **`type`** _(string)_
  The type of compensation
  Allowed: `salary`, `hourly`, `commission`, `bonus`, `equity`
- **`description`** _(string)_
  The description of the compensation
- **`employee`** _(object)_
  Employee associated with this compensation
  - **`id`** _(string)_
    The unique identifier for employees
- **`amount`** _(number)_
  Represents the amount of the compensation. Can be a number or percentage.
- **`currency`** _(string)_
  Represents the currency of the compensation
- **`period`** _(string)_
  Represents the period of the compensation
  Allowed: `hourly`, `daily`, `weekly`, `biweekly`, `monthly`, `quarterly`, `annually`, `fixed`, `one_time`
- **`payment_frequency`** _(string)_
  Represents how often the compensation is paid
  Allowed: `hourly`, `daily`, `weekly`, `biweekly`, `monthly`, `quarterly`, `annually`, `fixed`, `one_time`
- **`status`** _(string)_
  Represents the status of the compensation
  Allowed: `active`, `inactive`
- **`start_date`** _(string)_
  Represents the start date of the compensation
- **`end_date`** _(string)_
  Represents the end date of the compensation
- **`end_reason`** _(string)_
  Represents why the compensation ended
- **`created_at`** _(string)_
  This represents the date when the compensation was created
- **`updated_at`** _(string)_
  This represents the date when the compensation was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/employee_compensations](/docs/api-reference/unified-hris-api/employeecompensations/list) — List Employee compensations
- [GET /unified/hris/employee_compensations/{id}](/docs/api-reference/unified-hris-api/employeecompensations/get) — Get Employee compensations
